#include <iostream>
#include <map>
#include <vector>
#include <set>
#include <deque>
#include <stack>
#include <queue>
#include <algorithm>
#include <cmath>
#include <climits>
#include <ctime>
#include <iomanip>
#include <string>
#define int long long

using namespace std;

main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(nullptr);
    cout.tie(nullptr);
    int n;
    cin>>n;
    map<int,int> mp;
    for(int i = 0; i < n; i++)
    {
        int x;
        cin>>x;
        mp[x]++;
    }
    deque <pair<int,int>> d;
    for(auto i: mp)
    {
        d.push_back(i);
    }
    int res = 0, k = 0;
    while(!d.empty())
    {
        auto p = d.back();
        res += (p.first - k) * p.second;
        //cout<<p.first<<' '<<p.second<<' '<<k<<'\n';
        k += p.second;
        d.pop_back();
        if(!d.empty()) d.pop_front();
    }
    cout<<res;
}